NXDIR(1)

NAME
nxdir - inspect a NeXus file non interactively

SYNOPSIS
nxdir filename [options]

DESCRIPTION
nxdir allows to retrieve the structure and/or data of a NeXus file.

OPTIONS
About NXdir

-h|--help
    Print help information and exit.

--version
    Print version information and exit.

Node Selection

-p path
    Path inside the file to look in. This can be absolute or relative and can be class or name of a given field. To anchor the path at the beginning or end place a "/" there. To specify that a level must exist, but the name or class can be anything, use a dot ".". To specify that any number of levels can exist, use a star "*".

Output Control

-o/+o
    Print (or not) the value of selected nodes, if possible. Defaults to false (+o).

-l|--max-array
    Change the number of elements that are printed for arrays. Forces "-o". (default: 10)

-t|--tree-mode value
    Sets the formatting of the tree. Allowed values are: script, multi, tree. Default is script.

--path-mode value
    Select whether paths are written with names or classes. Allowed values are: name, class, both. Default is name.

--data-mode value
    How data is printed. Allowed value is script

--printline value
    How data is printed with respect to tree. Allowed values is single

--write-data filename
    Select a file to write out selected NXdata to.

--dump filename
    Generate a binary dump of the selected node.

SEE ALSO
nxbrowse(1) http://www.nexusformat.org

AUTHOR
nxdir was originally written by P. F. Peterson <petersonpf@ornl.gov>

This manual page was written by Tobias Richter <Tobias.Richter@diamond.ac.uk> and may be used by others.